Face detection on Jetson Nano

I am trying DeepFace , https://github.com/serengil/deepface for face detection on jetson Nano .
Facing issues to install using simple " pip install deepface" command

It says : "No matching distribution found for opencv-python

Or can someone suggest something as good as deepface to run on jetson nano. Although I feel this should be manageable

Hi,

We can get deepface installed with --no-deps flag.

$ sudo pip3 install --no-deps deepface

Please give it a try.
Thanks.

its installed but internally it requires keras , which further requires tensorflow2.2

>>> from deepface.basemodels import FbDeepFace
2020-07-06 17:16:45.521514: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libcudart.so.10.2
2020-07-06 17:16:51.077794: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libnvinfer.so.7
2020-07-06 17:16:51.127736: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libnvinfer_plugin.so.7
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/Keras-2.4.3-py3.6.egg/keras/__init__.py", line 3, in <module>
    from tensorflow.keras.layers.experimental.preprocessing import RandomRotation
ImportError: cannot import name 'RandomRotation'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/local/lib/python3.6/dist-packages/deepface-0.0.33-py3.6.egg/deepface/basemodels/FbDeepFace.py", line 4, in <module>
    import keras
  File "/usr/local/lib/python3.6/dist-packages/Keras-2.4.3-py3.6.egg/keras/__init__.py", line 6, in <module>
    'Keras requires TensorFlow 2.2 or higher. '
ImportError: Keras requires TensorFlow 2.2 or higher. Install TensorFlow via `pip install tensorflow`

Let track the TensorFlow issue on the new topic:

Thanks.

File "/usr/local/lib/python3.6/dist-packages/deepface-0.0.33-py3.6.egg/deepface/commons/functions.py", line 154, in get_opencv_path
    raise ValueError("Confirm that opencv is installed on your environment! Expected path ",face_detector_path," violated.")
ValueError: ('Confirm that opencv is installed on your environment! Expected path ', '/usr/lib/python3/dist-packages/data/haarcascade_frontalface_default.xml', ' violated.')